// packageD/energy/powerSell/powerSell.js
var app = getApp();
Page({
  /**
   * 页面的初始数据
   */
  data: {},

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {},
  gomember() {
    wx.navigateTo({
      url: "/packageE/energy/powerMember/powerMember",
    });
  },
  goStore() {
    wx.navigateTo({
      url: "/packageE/energy/powerStore/powerStore",
    });
  },
  goFacility() {
    wx.navigateTo({
      url: "/packageE/energy/powerEquipment/powerEquipment",
    });
  },
  withdraw() {
    wx.reLaunch({
      url: "/packageG/pages/member/extension/extension",
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getdata();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {},
  getdata() {
    let urlStr = app.getNetAddresss(
      "plugin.energy-cabin.frontend.dealer-terminal.index"
    );
    let that = this;
    app._getNetWork({
      url: urlStr,
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          that.setData({
            member: res.data.member,
            total_amount: res.data.total_amount,
          });
        }
      },
      fail: function (res) {
        console.log(res);
      },
    });
  },
});
